> For the complete documentation index, see [llms.txt](https://docs.eduflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eduflow.com/api-changelog.md).

# API Changelog

Looking for general Eduflow updates? Check out Eduflow's [Canny changelog](https://eduflow.canny.io/changelog) to see our latest activities. For upcoming changes, see our [Roadmap](https://eduflow.canny.io/).

### 2022-06-12

[Quizzes](/guides/quizzes.md) are now available in the QuizActivity data.

### 2022-03-03

[Course](/guides/courses.md) invite links added to `Course.joinUrl`. This returns the link based on sharing settings in the [course participants page](/guides/courses.md).

### 2021-08-27

[Tags](/guides/tags.md) are now available via the `Course.tags` and `Participant.tags` fields and tag operations are available via the `createTag` and `addStudentsToTag` mutations.

{% content-ref url="/pages/-Mi71kk6CPH9yyi1YNqz" %}
[Tags](/guides/tags.md)
{% endcontent-ref %}

### 2021-07-13

[Discussions](https://docs.eduflow.com/guides/discussions) are now available via [Connections](https://graphql.org/learn/pagination/):

{% tabs %}
{% tab title="Query" %}

```graphql
{
  activity(id: "ae8f3183-0fd0-48e1-b52d-2f455cd78db7") {
    ... on DiscussionActivity {
      title
      topics(first: 2) {
        edges {
          node {
            title
            content
            likesCount
            author {
              name
            }
            commentsCount
            comments {
              edges {
                node {
                  content
                  likesCount
                  repliesCount
                  author {
                    name
                  }
                  replies {
                    edges {
                      node {
                        content
                        author {
                          name
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    'data': {
        'activity': {
            'topics': {
                'totalCount': 2,
                'edges': [
                    {
                        'node': {
                            'title': 'Topic 2',
                            'content': '<p>Topic 2</p>',
                            'author': {
                                'name': 'Ryan Howard'
                            },
                            'commentsCount': 0,
                            'comments': {
                                'edges': [
                                ]
                            },
                            'likesCount': 0
                        }
                    },
                    {
                        'node': {
                            'title': 'Topic 1',
                            'content': '<p>Topic 1</p>',
                            'author': {
                                'name': 'Ryan Howard'
                            },
                            'likesCount': 2,
                            'commentsCount': 4,
                            'comments': {
                                'edges': [
                                    {
                                        'node': {
                                            'author': {
                                                'name': 'Ryan Howard'
                                            },
                                            'content': '<p>Comment 1</p>',
                                            'likesCount': 2,
                                            'replies': {
                                                'edges': [
                                                    {
                                                        'node': {
                                                            'author': {
                                                                'name': 'Ryan Howard'
                                                            },
                                                            'content': '<p>Reply 1</p>'
                                                        }
                                                    },
                                                    {
                                                        'node': {
                                                            'author': {
                                                                'name': 'Ryan Howard'
                                                            },
                                                            'content': '<p>Reply 2</p>'
                                                        }
                                                    }
                                                ]
                                            },
                                            'repliesCount': 2
                                        }
                                    },
                                    {
                                        'node': {
                                            'author': {
                                                'name': 'Pam Beesley'
                                            },
                                            'content': '<p>Comment 2</p>',
                                            'likesCount': 0,
                                            'replies': {
                                                'edges': [
                                                ]
                                            },
                                            'repliesCount': 0
                                        }
                                    }
                                ]
                            }
                        }
                    }
                ]
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

### 2020-01-20

[Reviews and reflections](/guides/reviews-and-reflections.md) are now available via [Connections](https://graphql.org/learn/pagination/):

{% tabs %}
{% tab title="GraphQL" %}

```graphql
{
  activity(id: "<activity_id>") {
    ... on ActivityInterface {
      id
      activityInterfaceTitle: title
      activityType
      ... on TeacherReviewActivity {
        reviews(first: 2) {
          pageInfo {
            endCursor
          }
          edges {
            node {
              receivers {
                email
              }
              answers {
                question {
                  id
                }
                textAnswer
              }
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}

{% tab title="Results" %}

```javascript
{
  "data": {
    "activity": {
      "id": "<activity_id>",
      "activityInterfaceTitle": "Flow 1 - Activity 5 - Teacher's Perspective",
      "activityType": "TeacherReview",
      "reviews": {
        "pageInfo": {
          "endCursor": "YXJyYXljb25uZWN0aW9uOjE="
        },
        "edges": [
          {
            "node": {
              "receivers": [
                {
                  "email": "donald@example.com"
                }
              ],
              "answers": [
                {
                  "question": {
                    "id": "397df269-3b17-42fa-bf1d-76ca509c0525"
                  },
                  "textAnswer": "Some awesome answer for a text question"
                },
                {
                  "question": {
                    "id": "43d53089-9577-4312-ac43-2b15ffaa8492"
                  },
                  "textAnswer": null
                },
                {
                  "question": {
                    "id": "760ba06f-26da-4aa4-96bb-7c1fffe1e7a1"
                  },
                  "textAnswer": null
                }
              ]
            }
          },
          {
            "node": {
              "receivers": [
                {
                  "email": null
                }
              ],
              "answers": [
                {
                  "question": {
                    "id": "397df269-3b17-42fa-bf1d-76ca509c0525"
                  },
                  "textAnswer": "Another answer"
                },
                {
                  "question": {
                    "id": "43d53089-9577-4312-ac43-2b15ffaa8492"
                  },
                  "textAnswer": null
                },
                {
                  "question": {
                    "id": "760ba06f-26da-4aa4-96bb-7c1fffe1e7a1"
                  },
                  "textAnswer": null
                }
              ]
            }
          }
        ]
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eduflow.com/api-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
